petsc-3.4.2 2013-07-02

# BCSectionGetArray

Returns the array underlying the BCSection.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode BCSectionGetArray(DM dm, const char name[], PetscInt *numElements, PetscInt *fiberDim, PetscInt *array[])

Not Collective

### Input Parameters

| mesh | - The DMMesh object
| name | - The section name

### Output Parameters

| numElements | - The number of mesh element with values
| fiberDim | - The number of values per element
| array | - The array

### Keywords

mesh, elements

### See Also

DMMeshCreate()

Level:intermediate
Location:src/dm/impls/mesh/meshpcice.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages